commit:     2f168392284fec294f9bfbb06d1c0a8a46f5a7d5
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 10 07:39:36 2015 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Mon Aug 10 07:59:50 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2f168392

anacron: improve CFLAGS/CC handling

Rather than expand CFLAGS in the sed statement, pass it via the env later
on when running make.

Make sure we set up CC to a sane default.

 sys-process/anacron/anacron-2.3-r3.ebuild | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

diff --git a/sys-process/anacron/anacron-2.3-r3.ebuild 
b/sys-process/anacron/anacron-2.3-r3.ebuild
index aa35863..202cfdd 100644
--- a/sys-process/anacron/anacron-2.3-r3.ebuild
+++ b/sys-process/anacron/anacron-2.3-r3.ebuild
@@ -4,7 +4,7 @@
 
 EAPI="5"
 
-inherit eutils
+inherit eutils toolchain-funcs
 
 DESCRIPTION="a periodic command scheduler"
 HOMEPAGE="http://anacron.sourceforge.net/";
@@ -21,7 +21,13 @@ RDEPEND="${RDEPEND}
 
 src_prepare() {
        epatch "${FILESDIR}"/${P}-compile-fix-from-debian.patch
-       sed -i "s:^CFLAGS =:CFLAGS = $CFLAGS:" Makefile
+       sed -i \
+               -e '/^CFLAGS/{s:=:+=:;s:-O2::}' \
+               Makefile || die
+}
+
+src_configure() {
+       tc-export CC
 }
 
 src_install() {

Reply via email to